Bug 257951 - ports-mgmt/portlint: Doesn't validate BROKENxx lines
Summary: ports-mgmt/portlint: Doesn't validate BROKENxx lines
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-19 19:32 UTC by Yuri Victorovich
Modified: 2021-09-19 17:14 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2021-08-19 19:32:34 UTC
For example, it passes:
> BROKEN_x_11=    error: xxx
Comment 1 Joe Marcus Clarke freebsd_committer 2021-09-18 21:46:33 UTC
Do you have a sample port I can test against?
Comment 2 Yuri Victorovich freebsd_committer 2021-09-18 22:02:12 UTC
(In reply to Joe Marcus Clarke from comment #1)

For example, in biology/abyss/Makefile replace BROKEN_FreeBSD_11= with BROKEN_x_11=
Comment 3 Joe Marcus Clarke freebsd_committer 2021-09-19 17:14:43 UTC
Fixed in 2.19.8.